#include <FL/Fl.H>
#include <FL/Fl_Window.H>
#include <FL/Fl_Tree.H>
#include <FL/Fl_Button.H>

int main(int argc, char **argv)
{
  Fl_Window *win = new Fl_Window(400, 400);
  Fl_Tree *tree = new Fl_Tree(0, 0, 400, 400);
  tree->connectorstyle(FL_TREE_CONNECTOR_SOLID);
  tree->showroot(0);

  tree->add("/dir1/subdir1/node1");
  tree->add("/dir1/subdir1/node2");

  for(Fl_Tree_Item *n = tree->first(); n; n = n->next()){
    tree->begin();
    Fl_Button *but = new Fl_Button(1, 1, 300, 1);
    but->align(FL_ALIGN_LEFT | FL_ALIGN_INSIDE | FL_ALIGN_CLIP);
    but->label("button");
    n->widget(but);
    tree->end();
  }

  win->resizable(tree);
  win->end();
  win->show(argc, argv);

  Fl::run();
}
